Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 233001 - [net-proxy/squid-3.0* fails to compile when -D_FORTIFY_SOURCE=2 is used (with gcc 4.3)
Summary: [net-proxy/squid-3.0* fails to compile when -D_FORTIFY_SOURCE=2 is used (with...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Network Proxy Developers (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2008-07-26 15:34 UTC by Matt
Modified: 2009-02-18 00:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Working patch (b8856-updated.patch,1.45 KB, patch)
2008-07-30 23:44 UTC, Magnus Granberg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2008-07-26 15:34:37 UTC
the following error is shown:
cc1: warnings being treated as errors
util.c: In function ‘default_failure_notify’:
util.c:934: error: ignoring return value of ‘write’, declared with attribute warn_unused_result
util.c:935: error: ignoring return value of ‘write’, declared with attribute warn_unused_result
make[2]: *** [util.o] Error 1
make[2]: *** Waiting for unfinished jobs....
mv -f .deps/MemPool.Tpo .deps/MemPool.Po
mv -f .deps/ntlmauth.Tpo .deps/ntlmauth.Po
make[2]: Leaving directory `/var/tmp/portage/net-proxy/squid-3.0.7/work/squid-3.0.STABLE7/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-proxy/squid-3.0.7/work/squid-3.0.STABLE7/lib'
make: *** [all-recursive] Error 1

the ubuntu guys also seem to hit this error:
http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg920376.html

all in-tree versions of squid-3.0* are affected

removing / disabling -D_FORTIFY_SOURCE=2 "fixed" it for me

gcc-version used was: gcc-4.3.1; glibc-2.7
Comment 1 Magnus Granberg gentoo-dev 2008-07-30 23:43:30 UTC
https://hardened.gentooexperimental.org/secure/ticket/40
https://bugs.launchpad.net/ubuntu/+source/squid3/+bug/248318
make[1]: Leaving directory `/var/tmp/portage/net-proxy/squid-3.0.7/work/squid-3.0.STABLE7'[[BR]]
Source compiled.[[BR]]
gcc version 4.3.1 (Gentoo Hardened 4.3.1-r2 p1.1, builtin ssp,fortify, pie-10.0.2)[[BR]]
with Glibc 2.8 and b8856-updated.patch
Comment 2 Magnus Granberg gentoo-dev 2008-07-30 23:44:05 UTC
Created attachment 161780 [details, diff]
Working patch
Comment 3 Alin Năstac (RETIRED) gentoo-dev 2008-08-01 22:14:21 UTC
Fixed by upstream in version 3.0.STABLE8.